<?xml version="1.0" encoding="ASCII"?>
<!DOCTYPE MACROS SYSTEM "macros.dtd">
<MACROS>
    <MACRO name="On_Before_Document_Save" lang="JScript" hide="false"><![CDATA[Application.Run("MF_On_Before_Document_Save");
]]></MACRO><MACRO name="On_Before_Document_SaveAs" lang="JScript" hide="false"><![CDATA[Application.Run("MF_On_Before_Document_SaveAs");
]]></MACRO><MACRO name="On_Document_After_DropText" lang="JScript" desc="On_Document_After_DropText: Called after text is dropped into a document." hide="false"><![CDATA[Application.Run("MF_On_Document_After_DropText");
]]></MACRO><MACRO name="On_Document_Before_DropText" lang="JScript" desc="Called when text is dropped into a document, but before it is rendered. Used to modify strings that are moved or copied with copy-and-paste or drag-and-drop operations in a document." hide="false"><![CDATA[Application.Run("MF_On_Document_Before_DropText");
]]></MACRO><MACRO name="On_Document_Close" lang="JScript" desc="On_Document_Close: Called when a document closes." hide="false"><![CDATA[Application.Run("MF_On_Document_Close");
]]></MACRO><MACRO name="On_Document_First_Draw" lang="JScript" desc="On_Document_First_Draw: Called when any document is first shown to the user. It is not subsequently run. This event is useful for showing users messages about specific document problems." hide="false"><![CDATA[// Set the MathML namespace prefix for this custom doctype
UPREFIX = "mml";
MATHMLURI = " xmlns:"+UPREFIX+"=\"http://www.w3.org/1998/Math/MathML\"";
if (UPREFIX!="") {
  PREFIX = UPREFIX+":";
}
MATH = PREFIX+"math";

// Set the page width (in pixels) for this custom doctype for image generation 
PAGEWIDTH = -1;  // -1 = default page width

Application.Run("MF_On_Document_First_Draw");
]]></MACRO><MACRO name="On_Document_Open_View" lang="JScript" desc="On_Document_Open_View: Called once just after the document is opened and the view (Normal, Tags On, or Plain Text) is created internally by the application (but may not actually be displayed yet)." hide="false"><![CDATA[Application.Run("MF_On_Document_Open_View");
]]></MACRO><MACRO name="On_Document_Save" lang="JScript" desc="On_Document_Save: Called just before the file is saved. You can make modifications to the file at this point." hide="false"><![CDATA[Application.Run("MF_On_Document_Save");
]]></MACRO><MACRO name="On_Document_SaveAs" lang="JScript" desc="On_Document_SaveAs: Called just before the file is saved as. You can make modifications to the file at this point." hide="false"><![CDATA[Application.Run("MF_On_Document_SaveAs");
]]></MACRO><MACRO name="On_Double_Click" lang="JScript" desc="On_Double_Click: Called whenever the user double-clicks the mouse in the document window in Normal or Tags On view." hide="false"><![CDATA[Application.Run("MF_On_Double_Click");
]]></MACRO><MACRO name="On_Macro_File_Load" lang="JScript" desc="Macro executed when the macro file is loaded" hide="false"><![CDATA[// XMetal Author JScript Macro File

                                                                                                       
                                                            
                                                        
                                                                  
                                                        
                                                                    
                     
]]></MACRO><MACRO name="On_View_Change" lang="JScript" desc="On_View_Change: Called when the user or a script switches between the Normal, Tags On, Plain Text, and Page Preview views." hide="false"><![CDATA[Application.Run("MF_On_View_Change");
]]></MACRO></MACROS>
